Package com.databricks.jdbc.client.impl.thrift.generated

## Class TSQLVariable

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TSQLVariable

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSQLVariable>`, `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TSQLVariable
    extends Object
    implements org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>, Serializable, Cloneable, Comparable<TSQLVariable>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TSQLVariable._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `catalogName`
`String` `currentValue`
`String` `defaultExpressionSQL`
`static Map<TSQLVariable._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `schemaName`
`String` `variableDataType`
`String` `variableName`

### Constructor Summary

Constructors
`TSQLVariable()`
`TSQLVariable​(TSQLVariable other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TSQLVariable other)`
`TSQLVariable` `deepCopy()`
`boolean` `equals​(TSQLVariable that)`
`boolean` `equals​(Object that)`
`TSQLVariable._Fields` `fieldForId​(int fieldId)`
`String` `getCatalogName()`
`String` `getCurrentValue()`
`String` `getDefaultExpressionSQL()`
`Object` `getFieldValue​(TSQLVariable._Fields field)`
`String` `getSchemaName()`
`String` `getVariableDataType()`
`String` `getVariableName()`
`int` `hashCode()`
`boolean` `isSet​(TSQLVariable._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCatalogName()` Returns true if field catalogName is set (has been assigned a value) and false otherwise
`boolean` `isSetCurrentValue()` Returns true if field currentValue is set (has been assigned a value) and false otherwise
`boolean` `isSetDefaultExpressionSQL()` Returns true if field defaultExpressionSQL is set (has been assigned a value) and false otherwise
`boolean` `isSetSchemaName()` Returns true if field schemaName is set (has been assigned a value) and false otherwise
`boolean` `isSetVariableDataType()` Returns true if field variableDataType is set (has been assigned a value) and false otherwise
`boolean` `isSetVariableName()` Returns true if field variableName is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TSQLVariable` `setCatalogName​(String catalogName)`
`void` `setCatalogNameIsSet​(boolean value)`
`TSQLVariable` `setCurrentValue​(String currentValue)`
`void` `setCurrentValueIsSet​(boolean value)`
`TSQLVariable` `setDefaultExpressionSQL​(String defaultExpressionSQL)`
`void` `setDefaultExpressionSQLIsSet​(boolean value)`
`void` `setFieldValue​(TSQLVariable._Fields field, Object value)`
`TSQLVariable` `setSchemaName​(String schemaName)`
`void` `setSchemaNameIsSet​(boolean value)`
`TSQLVariable` `setVariableDataType​(String variableDataType)`
`void` `setVariableDataTypeIsSet​(boolean value)`
`TSQLVariable` `setVariableName​(String variableName)`
`void` `setVariableNameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCatalogName()`
`void` `unsetCurrentValue()`
`void` `unsetDefaultExpressionSQL()`
`void` `unsetSchemaName()`
`void` `unsetVariableDataType()`
`void` `unsetVariableName()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### catalogName

    public String catalogName

#### schemaName

    public String schemaName

#### variableName

    public String variableName

#### defaultExpressionSQL

    public String defaultExpressionSQL

#### variableDataType

    public String variableDataType

#### currentValue

    public String currentValue

#### metaDataMap

    public static final Map<TSQLVariable._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TSQLVariable

    public TSQLVariable()

#### TSQLVariable

    public TSQLVariable​(TSQLVariable other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TSQLVariable deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`

#### getCatalogName

    public String getCatalogName()

#### setCatalogName

    public TSQLVariable setCatalogName​(String catalogName)

#### unsetCatalogName

    public void unsetCatalogName()

#### isSetCatalogName

    public boolean isSetCatalogName()

Returns true if field catalogName is set (has been assigned a value) and false otherwise

#### setCatalogNameIsSet

    public void setCatalogNameIsSet​(boolean value)

#### getSchemaName

    public String getSchemaName()

#### setSchemaName

    public TSQLVariable setSchemaName​(String schemaName)

#### unsetSchemaName

    public void unsetSchemaName()

#### isSetSchemaName

    public boolean isSetSchemaName()

Returns true if field schemaName is set (has been assigned a value) and false otherwise

#### setSchemaNameIsSet

    public void setSchemaNameIsSet​(boolean value)

#### getVariableName

    public String getVariableName()

#### setVariableName

    public TSQLVariable setVariableName​(String variableName)

#### unsetVariableName

    public void unsetVariableName()

#### isSetVariableName

    public boolean isSetVariableName()

Returns true if field variableName is set (has been assigned a value) and false otherwise

#### setVariableNameIsSet

    public void setVariableNameIsSet​(boolean value)

#### getDefaultExpressionSQL

    public String getDefaultExpressionSQL()

#### setDefaultExpressionSQL

    public TSQLVariable setDefaultExpressionSQL​(String defaultExpressionSQL)

#### unsetDefaultExpressionSQL

    public void unsetDefaultExpressionSQL()

#### isSetDefaultExpressionSQL

    public boolean isSetDefaultExpressionSQL()

Returns true if field defaultExpressionSQL is set (has been assigned a value) and false otherwise

#### setDefaultExpressionSQLIsSet

    public void setDefaultExpressionSQLIsSet​(boolean value)

#### getVariableDataType

    public String getVariableDataType()

#### setVariableDataType

    public TSQLVariable setVariableDataType​(String variableDataType)

#### unsetVariableDataType

    public void unsetVariableDataType()

#### isSetVariableDataType

    public boolean isSetVariableDataType()

Returns true if field variableDataType is set (has been assigned a value) and false otherwise

#### setVariableDataTypeIsSet

    public void setVariableDataTypeIsSet​(boolean value)

#### getCurrentValue

    public String getCurrentValue()

#### setCurrentValue

    public TSQLVariable setCurrentValue​(String currentValue)

#### unsetCurrentValue

    public void unsetCurrentValue()

#### isSetCurrentValue

    public boolean isSetCurrentValue()

Returns true if field currentValue is set (has been assigned a value) and false otherwise

#### setCurrentValueIsSet

    public void setCurrentValueIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TSQLVariable._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`

#### getFieldValue

    public Object getFieldValue​(TSQLVariable._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`

#### isSet

    public boolean isSet​(TSQLVariable._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TSQLVariable that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TSQLVariable other)

Specified by:
  `compareTo` in interface `Comparable<TSQLVariable>`

#### fieldForId

    public TSQLVariable._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSQLVariable,​TSQLVariable._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`